Name:		xword
Version:	1.0
Release:	14%{?dist}
Summary:	Reads and writes crossword puzzles in the Across Lite file format


Group:		Amusements/Games
License:	BSD
URL:		http://x-word.org/
Source0:	http://x-word.org/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.xml
Source3:	%{name}.1

BuildRequires:	desktop-file-utils
Requires:	pygtk2
BuildArch:	noarch 

%description
Xword is a GTK program that works well for doing crossword puzzles in the
Across Lite file format used by The New York Times and others. As well as a
clock, it supports printing. It also auto-saves puzzles as you solve them so
that you can return to partially completed puzzles.


%prep
%setup -q


sed -i -e "s|HOME_PATH = os\.path\.dirname(sys\.argv\[0\])|HOME_PATH = '%{_datadir}/%{name}-%{version}'|g" xword


%build
#nothing to build



%install

install -d $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -d $RPM_BUILD_ROOT%{_bindir}/
install -d $RPM_BUILD_ROOT%{_mandir}/man1/

install -p -m 755 xword $RPM_BUILD_ROOT%{_bindir}/

install -p -m 644 layout-rtb.png $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -p -m 644 crossword-solve.png $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -p -m 644 crossword-clock.png $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -p -m 644 crossword-check.png $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -p -m 644 crossword-check-all.png $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}


#man page
install -p -m 644 %SOURCE3 $RPM_BUILD_ROOT%{_mandir}/man1

#icon install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps
cp -p crossword-solve.png					\
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/xword.png



#desktop file
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %SOURCE1

#mime file
install -d $RPM_BUILD_ROOT%{_datadir}/mime/packages
install -p -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/mime/packages/

%files
%doc LICENSE
%{_datadir}/%{name}-%{version}
%{_datadir}/icons/hicolor/24x24/apps/xword.png
%{_datadir}/applications/%{name}.desktop
%{_bindir}/*
%{_datadir}/mime/packages/*.xml
%{_mandir}/man1/*



%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0-12
- Remove obsolete scriptlets

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jul 07 2015 Yaakov Selkowitz <yselkowi@redhat.com> - 1.0-8
- Drop optional gnomeprint dependency due to removal of libgnomeprint

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Oct 02 2014 Rex Dieter <rdieter@fedoraproject.org> 1.0-6
- update desktop/icon/mime scriptlets, remove empty %%clean section

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 31 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.0-2
- Update as per review #871629

* Mon Oct 29 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> 1.0-1
- Initial rpm spec based on Alex's spec at rhbz# 470155
- Compressed Alex's changelog below
- Addressed the comments in the review by Mamoru Tasaka 
  <mtasaka ioa.s.u-tokyo.ac.jp>. Warning on python 2.6 will
  be addressed later. 
- Added LICENSE to %%doc
- Fix a silly error involving $RPM_BUILD_ROOT.
- Initial import.
